import 'package:json_annotation/json_annotation.dart';

part 'member_info.g.dart';

@JsonSerializable()
class MemberInfo {
  @JsonKey(name: 'isMember')
  bool isMember;

  @JsonKey(name: 'endTimestamp')
  int? endTimestamp;

  MemberInfo(this.isMember, this.endTimestamp);

  factory MemberInfo.fromJson(Map<String, dynamic> json) =>
      _$MemberInfoFromJson(json);
}
